﻿/* ----------------------------------------------------------------------------
 * Copyright (c) Rob Ashton 2009
 *
 * This source code is subject to terms and conditions of the Microsoft Public 
 * License (Ms-PL).
 * 
 * By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Public License.
 * 
 * To request a copy of the Microsoft Public License, send a request by email
 * to license@mvcex.com
 *
 * This notice must not be removed from this software.
 * ---------------------------------------------------------------------------- */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MvcEx.Controllers;

using site.core.Controllers;

namespace MvcEx.Tests
{
    [TestFixture]
    public class MvcExControllerBuilderConfigurationTests
    {
        [Test]
        public void add_assembly_to_configuration_direct()
        {
            MvcExControllerBuilderConfiguration config = new MvcExControllerBuilderConfiguration();
            config.RegisterAssembly(typeof(Home).Assembly);

            Assert.AreEqual(1, config.Assemblies.Length);
            Assert.AreEqual(typeof(Home).Assembly, config.Assemblies[0]);
        }

        [Test]
        public void remove_assembly_from_configuration_direct()
        {
            MvcExControllerBuilderConfiguration config = new MvcExControllerBuilderConfiguration();
            config.RegisterAssembly(typeof(Home).Assembly);
            config.UnregisterAssembly(typeof(Home).Assembly);

            Assert.AreEqual(0, config.Assemblies.Length);
        }
    }
}
