﻿/* ----------------------------------------------------------------------------
 * Copyright (c) Rob Ashton 2009
 *
 * This source code is subject to terms and conditions of the Microsoft Public 
 * License (Ms-PL).
 * 
 * By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Public License.
 * 
 * To request a copy of the Microsoft Public License, send a request by email
 * to license@mvcex.com
 *
 * This notice must not be removed from this software.
 * ---------------------------------------------------------------------------- */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using System.Xml.Serialization;
using System.IO;
using MvcEx.Configuration;

namespace MvcEx.Tests
{
    [TestFixture]
    public class MvcExModuleTests
    {
        [Test]
        public void deserialize_module_and_verify_properties()
        {
            XmlSerializer serializer = new XmlSerializer(typeof(MvcExModule));
            MvcExModule module = null;
            using (var stream = new FileStream("data/MvcExModuleTests/TestModule.xml", FileMode.Open, FileAccess.Read))
            {
                module = (MvcExModule)serializer.Deserialize(stream);
            }

            Assert.NotNull(module);
            Assert.AreEqual("TestModule", module.Name);
            Assert.NotNull(module.Assemblies);
            Assert.AreEqual(1, module.Assemblies.Length);
            Assert.AreEqual("site.core", module.Assemblies[0].Name);
        }
    }
}
