﻿/* ----------------------------------------------------------------------------
 * Copyright (c) Rob Ashton 2009
 *
 * This source code is subject to terms and conditions of the Microsoft Public 
 * License (Ms-PL).
 * 
 * By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Public License.
 * 
 * To request a copy of the Microsoft Public License, send a request by email
 * to license@mvcex.com
 *
 * This notice must not be removed from this software.
 * ---------------------------------------------------------------------------- */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcEx.Configuration
{
    public static class MvcExConstants
    {
        /// <summary>
        /// Gets the relative path that MvcEx scans to locate application themes
        /// </summary>
        public static string THEME_DIRECTORY 
        {
            get
            {
                return "themes";
            }
        }
        
        /// <summary>
        /// Gets the relative path that MvcEx scans to locate modules
        /// </summary>
        public static string MODULE_DIRECTORY
        {
            get
            {
                return "site";
            }
        }

        /// <summary>
        /// Gets the relative path that MvcEx scans to locate site configurations
        /// </summary>
        public static string CONFIG_DIRECTORY
        {
            get
            {
                return "configurations";
            }
        }        

        /// <summary>
        /// Gets the name of the file MvcEx loads when
        /// </summary>
        public static string MODULE_CONFIG_FILENAME
        {
            get
            {
                return "manifest.xml";
            }
        }
    }
}
