﻿/* ----------------------------------------------------------------------------
 * Copyright (c) Rob Ashton 2009
 *
 * This source code is subject to terms and conditions of the Microsoft Public 
 * License (Ms-PL).
 * 
 * By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Public License.
 * 
 * To request a copy of the Microsoft Public License, send a request by email
 * to license@mvcex.com
 *
 * This notice must not be removed from this software.
 * ---------------------------------------------------------------------------- */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcEx.Controllers
{
    /// <summary>
    /// Marks a class up for loading as an action container and specifies which controller that action belongs to
    /// </summary>
    public class MvcExActionContainerAttribute : Attribute
    {
        /// <summary>
        /// Gets or Sets the name of the controller this action container belongs to
        /// </summary>
        public String ControllerName
        {
            get;
            set;
        }

        public MvcExActionContainerAttribute(String name)
        {
            this.ControllerName = name;
        }
    }
}
