﻿/* ----------------------------------------------------------------------------
 * Copyright (c) Rob Ashton 2009
 *
 * This source code is subject to terms and conditions of the Microsoft Public 
 * License (Ms-PL).
 * 
 * By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Public License.
 * 
 * To request a copy of the Microsoft Public License, send a request by email
 * to license@mvcex.com
 *
 * This notice must not be removed from this software.
 * ---------------------------------------------------------------------------- */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcEx.Views
{
    /// <summary>
    /// This interface exposes the current configuration to the view engine and as well as allowing it to be tested in isolation
    /// Also means that the view engine can be used independently of the rest of MvcEx
    /// </summary>
    public interface IMvcExViewEngineConfigurationSelector
    {
        /// <summary>
        /// Gets the current view engine configuration
        /// </summary>
        /// <returns></returns>
        MvcExViewEngineConfiguration GetConfiguration();
    }
}
